package org.kne.cloud.network.ipv6;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.ReadableByteChannel;
import java.nio.channels.WritableByteChannel;

import org.kne.cloud.network.srv6.IPv6SegmentRoutingTLV;

/**
 * Pad1 Hop-by-Hop TLV - 没有数据部分
 */
public class Pad1HopByHopTLV extends IPv6HopByHopTLV {
	public Pad1HopByHopTLV() {
		super(IPv6HopByHopTLV.PAD1);
	}

	public Pad1HopByHopTLV(ByteBuffer klalbHeader) {
		super(klalbHeader);
	}

	@Override
	public String toString() {
		return "Pad1HopByHopTLV []";
	}
}